Bug 184333 - sync remaining web-platform-tests to 94b33b573a069ae5170104ca581a354a35762536
Summary: sync remaining web-platform-tests to 94b33b573a069ae5170104ca581a354a35762536
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2018-04-05 10:42 PDT by Brendan McLoughlin
Modified: 2018-04-09 10:54 PDT (History)
7 users (show)

See Also:


Attachments
Patch (7.56 MB, patch)
2018-04-05 10:44 PDT, Brendan McLoughlin
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews103 for mac-sierra (2.34 MB, application/zip)
2018-04-05 12:01 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews107 for mac-sierra-wk2 (2.87 MB, application/zip)
2018-04-05 12:08 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews122 for ios-simulator-wk2 (2.60 MB, application/zip)
2018-04-05 14:31 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews115 for mac-sierra (3.15 MB, application/zip)
2018-04-05 14:49 PDT, Build Bot
no flags Details
Patch (7.56 MB, patch)
2018-04-06 06:04 PDT, Brendan McLoughlin
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews102 for mac-sierra (2.38 MB, application/zip)
2018-04-06 07:21 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews105 for mac-sierra-wk2 (3.45 MB, application/zip)
2018-04-06 07:46 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews117 for mac-sierra (3.13 MB, application/zip)
2018-04-06 07:49 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews123 for ios-simulator-wk2 (2.59 MB, application/zip)
2018-04-06 07:52 PDT, Build Bot
no flags Details
Patch (7.75 MB, patch)
2018-04-06 13:50 PDT, Brendan McLoughlin
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews122 for ios-simulator-wk2 (2.32 MB, application/zip)
2018-04-06 15:34 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews116 for mac-sierra (3.03 MB, application/zip)
2018-04-06 15:42 PDT, Build Bot
no flags Details
Patch (7.86 MB, patch)
2018-04-09 05:49 PDT, Brendan McLoughlin
no flags Details | Formatted Diff | Diff
Patch (7.86 MB, patch)
2018-04-09 06:04 PDT, Brendan McLoughlin
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews126 for ios-simulator-wk2 (2.19 MB, application/zip)
2018-04-09 07:47 PDT, Build Bot
no flags Details
Patch (7.86 MB, patch)
2018-04-09 08:04 PDT, Brendan McLoughlin
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Brendan McLoughlin 2018-04-05 10:42:55 PDT
sync remaining web-platform-tests to 94b33b573a069ae5170104ca581a354a35762536
Comment 1 Brendan McLoughlin 2018-04-05 10:44:50 PDT
Created attachment 337277 [details]
Patch
Comment 2 Build Bot 2018-04-05 12:01:54 PDT
Comment on attachment 337277 [details]
Patch

Attachment 337277 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.webkit.org/results/7217310

New failing tests:
imported/w3c/web-platform-tests/WebCryptoAPI/sign_verify/rsa_pss.https.worker.html
imported/w3c/web-platform-tests/XMLHttpRequest/send-network-error-async-events.sub.htm
imported/w3c/web-platform-tests/WebCryptoAPI/sign_verify/rsa_pkcs.https.worker.html
imported/w3c/web-platform-tests/WebCryptoAPI/import_export/rsa_importKey.https.worker.html
imported/w3c/web-platform-tests/WebCryptoAPI/generateKey/failures_RSA-PSS.https.worker.html
imported/w3c/web-platform-tests/html/semantics/text-level-semantics/the-a-element/a-download-click-404.html
imported/w3c/web-platform-tests/XMLHttpRequest/send-authentication-basic-cors.htm
imported/w3c/web-platform-tests/WebCryptoAPI/generateKey/successes_RSA-PSS.https.worker.html
imported/w3c/web-platform-tests/css/selectors/selector-placeholder-shown-type-change-002.html
imported/w3c/web-platform-tests/cors/late-upload-events.htm
Comment 3 Build Bot 2018-04-05 12:01:56 PDT
Created attachment 337285 [details]
Archive of layout-test-results from ews103 for mac-sierra

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews103  Port: mac-sierra  Platform: Mac OS X 10.12.6
Comment 4 Build Bot 2018-04-05 12:08:28 PDT
Comment on attachment 337277 [details]
Patch

Attachment 337277 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.webkit.org/results/7217325

New failing tests:
imported/w3c/web-platform-tests/WebCryptoAPI/sign_verify/rsa_pss.https.worker.html
imported/w3c/web-platform-tests/XMLHttpRequest/send-network-error-async-events.sub.htm
imported/w3c/web-platform-tests/html/browsers/the-window-object/apis-for-creating-and-navigating-browsing-contexts-by-name/open-features-non-integer-screeny.html
imported/w3c/web-platform-tests/WebCryptoAPI/sign_verify/rsa_pkcs.https.worker.html
imported/w3c/web-platform-tests/webrtc/RTCPeerConnection-setLocalDescription-offer.html
imported/w3c/web-platform-tests/WebCryptoAPI/import_export/rsa_importKey.https.worker.html
imported/w3c/web-platform-tests/WebCryptoAPI/generateKey/failures_RSA-PSS.https.worker.html
imported/w3c/web-platform-tests/XMLHttpRequest/send-authentication-basic-cors.htm
imported/w3c/web-platform-tests/WebCryptoAPI/generateKey/successes_RSA-PSS.https.worker.html
imported/w3c/web-platform-tests/cors/late-upload-events.htm
Comment 5 Build Bot 2018-04-05 12:08:30 PDT
Created attachment 337287 [details]
Archive of layout-test-results from ews107 for mac-sierra-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews107  Port: mac-sierra-wk2  Platform: Mac OS X 10.12.6
Comment 6 Build Bot 2018-04-05 14:31:29 PDT
Comment on attachment 337277 [details]
Patch

Attachment 337277 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: http://webkit-queues.webkit.org/results/7218458

New failing tests:
imported/w3c/web-platform-tests/html/semantics/forms/textfieldselection/selection-not-application.html
imported/w3c/web-platform-tests/html/browsers/browsing-the-web/history-traversal/persisted-user-state-restoration/scroll-restoration-fragment-scrolling-cross-origin.html
imported/w3c/web-platform-tests/html/semantics/forms/the-input-element/month.html
imported/w3c/web-platform-tests/XMLHttpRequest/send-network-error-async-events.sub.htm
imported/w3c/web-platform-tests/html/dom/reflection-metadata.html
imported/w3c/web-platform-tests/html/semantics/forms/the-input-element/week.html
imported/w3c/web-platform-tests/html/dom/reflection-embedded.html
imported/w3c/web-platform-tests/html/semantics/forms/the-input-element/datetime-local.html
imported/w3c/web-platform-tests/webrtc/RTCPeerConnection-setLocalDescription-offer.html
imported/w3c/web-platform-tests/html/semantics/forms/the-input-element/type-change-state.html
imported/w3c/web-platform-tests/html/semantics/text-level-semantics/the-a-element/a-download-click-404.html
imported/w3c/web-platform-tests/XMLHttpRequest/send-authentication-basic-cors.htm
imported/w3c/web-platform-tests/cors/late-upload-events.htm
imported/w3c/web-platform-tests/html/dom/reflection-forms.html
Comment 7 Build Bot 2018-04-05 14:31:30 PDT
Created attachment 337302 [details]
Archive of layout-test-results from ews122 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews122  Port: ios-simulator-wk2  Platform: Mac OS X 10.13.4
Comment 8 Build Bot 2018-04-05 14:49:12 PDT
Comment on attachment 337277 [details]
Patch

Attachment 337277 [details] did not pass mac-debug-ews (mac):
Output: http://webkit-queues.webkit.org/results/7218515

New failing tests:
imported/w3c/web-platform-tests/WebCryptoAPI/sign_verify/rsa_pss.https.worker.html
imported/w3c/web-platform-tests/XMLHttpRequest/send-network-error-async-events.sub.htm
imported/w3c/web-platform-tests/WebCryptoAPI/sign_verify/rsa_pkcs.https.worker.html
imported/w3c/web-platform-tests/WebCryptoAPI/import_export/rsa_importKey.https.worker.html
imported/w3c/web-platform-tests/WebCryptoAPI/generateKey/failures_RSA-PSS.https.worker.html
imported/w3c/web-platform-tests/html/semantics/text-level-semantics/the-a-element/a-download-click-404.html
imported/w3c/web-platform-tests/cors/late-upload-events.htm
imported/w3c/web-platform-tests/XMLHttpRequest/send-authentication-basic-cors.htm
imported/w3c/web-platform-tests/WebCryptoAPI/generateKey/successes_RSA-PSS.https.worker.html
imported/w3c/web-platform-tests/css/selectors/selector-placeholder-shown-type-change-002.html
imported/w3c/web-platform-tests/streams/readable-streams/tee.dedicatedworker.html
Comment 9 Build Bot 2018-04-05 14:49:13 PDT
Created attachment 337303 [details]
Archive of layout-test-results from ews115 for mac-sierra

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews115  Port: mac-sierra  Platform: Mac OS X 10.12.6
Comment 10 Brendan McLoughlin 2018-04-06 06:04:02 PDT
Created attachment 337358 [details]
Patch
Comment 11 Build Bot 2018-04-06 07:21:34 PDT
Comment on attachment 337358 [details]
Patch

Attachment 337358 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.webkit.org/results/7226531

New failing tests:
imported/w3c/web-platform-tests/WebCryptoAPI/sign_verify/rsa_pss.https.worker.html
imported/w3c/web-platform-tests/XMLHttpRequest/send-network-error-async-events.sub.htm
imported/w3c/web-platform-tests/WebCryptoAPI/sign_verify/rsa_pkcs.https.worker.html
imported/w3c/web-platform-tests/WebCryptoAPI/import_export/rsa_importKey.https.worker.html
imported/w3c/web-platform-tests/WebCryptoAPI/generateKey/failures_RSA-PSS.https.worker.html
imported/w3c/web-platform-tests/XMLHttpRequest/send-authentication-basic-cors.htm
imported/w3c/web-platform-tests/WebCryptoAPI/generateKey/successes_RSA-PSS.https.worker.html
Comment 12 Build Bot 2018-04-06 07:21:35 PDT
Created attachment 337361 [details]
Archive of layout-test-results from ews102 for mac-sierra

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews102  Port: mac-sierra  Platform: Mac OS X 10.12.6
Comment 13 Build Bot 2018-04-06 07:46:33 PDT
Comment on attachment 337358 [details]
Patch

Attachment 337358 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.webkit.org/results/7226566

New failing tests:
imported/w3c/web-platform-tests/WebCryptoAPI/sign_verify/rsa_pss.https.worker.html
imported/w3c/web-platform-tests/XMLHttpRequest/send-network-error-async-events.sub.htm
imported/w3c/web-platform-tests/WebCryptoAPI/sign_verify/rsa_pkcs.https.worker.html
imported/w3c/web-platform-tests/WebCryptoAPI/import_export/rsa_importKey.https.worker.html
imported/w3c/web-platform-tests/WebCryptoAPI/generateKey/failures_RSA-PSS.https.worker.html
imported/w3c/web-platform-tests/XMLHttpRequest/send-authentication-basic-cors.htm
imported/w3c/web-platform-tests/WebCryptoAPI/generateKey/successes_RSA-PSS.https.worker.html
Comment 14 Build Bot 2018-04-06 07:46:34 PDT
Created attachment 337362 [details]
Archive of layout-test-results from ews105 for mac-sierra-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews105  Port: mac-sierra-wk2  Platform: Mac OS X 10.12.6
Comment 15 Build Bot 2018-04-06 07:49:06 PDT
Comment on attachment 337358 [details]
Patch

Attachment 337358 [details] did not pass mac-debug-ews (mac):
Output: http://webkit-queues.webkit.org/results/7226557

New failing tests:
imported/w3c/web-platform-tests/WebCryptoAPI/sign_verify/rsa_pss.https.worker.html
imported/w3c/web-platform-tests/XMLHttpRequest/send-network-error-async-events.sub.htm
imported/w3c/web-platform-tests/WebCryptoAPI/sign_verify/rsa_pkcs.https.worker.html
imported/w3c/web-platform-tests/WebCryptoAPI/import_export/rsa_importKey.https.worker.html
imported/w3c/web-platform-tests/WebCryptoAPI/generateKey/failures_RSA-PSS.https.worker.html
imported/w3c/web-platform-tests/XMLHttpRequest/send-authentication-basic-cors.htm
imported/w3c/web-platform-tests/WebCryptoAPI/generateKey/successes_RSA-PSS.https.worker.html
imported/w3c/web-platform-tests/streams/readable-streams/tee.dedicatedworker.html
Comment 16 Build Bot 2018-04-06 07:49:08 PDT
Created attachment 337363 [details]
Archive of layout-test-results from ews117 for mac-sierra

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews117  Port: mac-sierra  Platform: Mac OS X 10.12.6
Comment 17 Build Bot 2018-04-06 07:51:58 PDT
Comment on attachment 337358 [details]
Patch

Attachment 337358 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: http://webkit-queues.webkit.org/results/7226554

New failing tests:
imported/w3c/web-platform-tests/html/semantics/forms/textfieldselection/selection-not-application.html
imported/w3c/web-platform-tests/html/browsers/browsing-the-web/history-traversal/persisted-user-state-restoration/scroll-restoration-fragment-scrolling-cross-origin.html
imported/w3c/web-platform-tests/html/semantics/forms/the-input-element/month.html
imported/w3c/web-platform-tests/XMLHttpRequest/send-network-error-async-events.sub.htm
imported/w3c/web-platform-tests/html/dom/reflection-metadata.html
imported/w3c/web-platform-tests/html/semantics/forms/the-input-element/week.html
imported/w3c/web-platform-tests/html/dom/reflection-embedded.html
imported/w3c/web-platform-tests/html/semantics/forms/the-input-element/datetime-local.html
imported/w3c/web-platform-tests/webrtc/RTCPeerConnection-setLocalDescription-offer.html
imported/w3c/web-platform-tests/html/semantics/forms/the-input-element/type-change-state.html
imported/w3c/web-platform-tests/html/semantics/text-level-semantics/the-a-element/a-download-click-404.html
imported/w3c/web-platform-tests/XMLHttpRequest/send-authentication-basic-cors.htm
imported/w3c/web-platform-tests/html/dom/reflection-forms.html
Comment 18 Build Bot 2018-04-06 07:52:00 PDT
Created attachment 337364 [details]
Archive of layout-test-results from ews123 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews123  Port: ios-simulator-wk2  Platform: Mac OS X 10.13.4
Comment 19 Brendan McLoughlin 2018-04-06 13:32:12 PDT
jiewen_tan@apple.com do you have any thoughts on why the following WebCryptoAPI tests might be failing on EWS? When I try to reproduce the error locally these test are passing for me using a local build and a recent build from https://webkit.org/build-archives/.

imported/w3c/web-platform-tests/WebCryptoAPI/sign_verify/rsa_pss.https.worker.html
imported/w3c/web-platform-tests/WebCryptoAPI/sign_verify/rsa_pkcs.https.worker.html
imported/w3c/web-platform-tests/WebCryptoAPI/import_export/rsa_importKey.https.worker.html
imported/w3c/web-platform-tests/WebCryptoAPI/generateKey/failures_RSA-PSS.https.worker.html
imported/w3c/web-platform-tests/WebCryptoAPI/generateKey/successes_RSA-PSS.https.worker.html
Comment 20 Chris Dumez 2018-04-06 13:35:59 PDT
(In reply to Brendan McLoughlin from comment #19)
> jiewen_tan@apple.com do you have any thoughts on why the following
> WebCryptoAPI tests might be failing on EWS? When I try to reproduce the
> error locally these test are passing for me using a local build and a recent
> build from https://webkit.org/build-archives/.
> 
> imported/w3c/web-platform-tests/WebCryptoAPI/sign_verify/rsa_pss.https.
> worker.html
> imported/w3c/web-platform-tests/WebCryptoAPI/sign_verify/rsa_pkcs.https.
> worker.html
> imported/w3c/web-platform-tests/WebCryptoAPI/import_export/rsa_importKey.
> https.worker.html
> imported/w3c/web-platform-tests/WebCryptoAPI/generateKey/failures_RSA-PSS.
> https.worker.html
> imported/w3c/web-platform-tests/WebCryptoAPI/generateKey/successes_RSA-PSS.
> https.worker.html

My suggestion would be to use the baselines uploaded by EWS. Chances are more tests are passing on newer OSes. EWS still runs an older OS. Jiewen would definitely know more.
Comment 21 Brendan McLoughlin 2018-04-06 13:50:56 PDT
Created attachment 337388 [details]
Patch
Comment 22 Jiewen Tan 2018-04-06 14:25:39 PDT
(In reply to Chris Dumez from comment #20)
> (In reply to Brendan McLoughlin from comment #19)
> > jiewen_tan@apple.com do you have any thoughts on why the following
> > WebCryptoAPI tests might be failing on EWS? When I try to reproduce the
> > error locally these test are passing for me using a local build and a recent
> > build from https://webkit.org/build-archives/.
> > 
> > imported/w3c/web-platform-tests/WebCryptoAPI/sign_verify/rsa_pss.https.
> > worker.html
> > imported/w3c/web-platform-tests/WebCryptoAPI/sign_verify/rsa_pkcs.https.
> > worker.html
> > imported/w3c/web-platform-tests/WebCryptoAPI/import_export/rsa_importKey.
> > https.worker.html
> > imported/w3c/web-platform-tests/WebCryptoAPI/generateKey/failures_RSA-PSS.
> > https.worker.html
> > imported/w3c/web-platform-tests/WebCryptoAPI/generateKey/successes_RSA-PSS.
> > https.worker.html
> 
> My suggestion would be to use the baselines uploaded by EWS. Chances are
> more tests are passing on newer OSes. EWS still runs an older OS. Jiewen
> would definitely know more.

Correct. RSA-PSS is only supported >= macOS High Sierra and iOS 11. Details can be referred to wtf/Platform.h.
Comment 23 Build Bot 2018-04-06 15:34:17 PDT
Comment on attachment 337388 [details]
Patch

Attachment 337388 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: http://webkit-queues.webkit.org/results/7230281

New failing tests:
imported/w3c/web-platform-tests/WebCryptoAPI/sign_verify/rsa_pss.https.worker.html
imported/w3c/web-platform-tests/WebCryptoAPI/sign_verify/rsa_pkcs.https.worker.html
imported/w3c/web-platform-tests/webrtc/RTCPeerConnection-setLocalDescription-offer.html
imported/w3c/web-platform-tests/WebCryptoAPI/import_export/rsa_importKey.https.worker.html
imported/w3c/web-platform-tests/WebCryptoAPI/generateKey/failures_RSA-PSS.https.worker.html
imported/w3c/web-platform-tests/WebCryptoAPI/generateKey/successes_RSA-PSS.https.worker.html
Comment 24 Build Bot 2018-04-06 15:34:18 PDT
Created attachment 337397 [details]
Archive of layout-test-results from ews122 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews122  Port: ios-simulator-wk2  Platform: Mac OS X 10.13.4
Comment 25 Build Bot 2018-04-06 15:42:31 PDT
Comment on attachment 337388 [details]
Patch

Attachment 337388 [details] did not pass mac-debug-ews (mac):
Output: http://webkit-queues.webkit.org/results/7230313

New failing tests:
imported/w3c/web-platform-tests/streams/readable-streams/tee.dedicatedworker.html
Comment 26 Build Bot 2018-04-06 15:42:32 PDT
Created attachment 337400 [details]
Archive of layout-test-results from ews116 for mac-sierra

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews116  Port: mac-sierra  Platform: Mac OS X 10.12.6
Comment 27 Brendan McLoughlin 2018-04-09 05:49:19 PDT
Created attachment 337491 [details]
Patch
Comment 28 Brendan McLoughlin 2018-04-09 06:04:04 PDT
Created attachment 337492 [details]
Patch
Comment 29 Build Bot 2018-04-09 07:46:59 PDT
Comment on attachment 337492 [details]
Patch

Attachment 337492 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: http://webkit-queues.webkit.org/results/7253224

New failing tests:
imported/w3c/web-platform-tests/webrtc/RTCPeerConnection-setLocalDescription-offer.html
Comment 30 Build Bot 2018-04-09 07:47:00 PDT
Created attachment 337494 [details]
Archive of layout-test-results from ews126 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews126  Port: ios-simulator-wk2  Platform: Mac OS X 10.13.4
Comment 31 Brendan McLoughlin 2018-04-09 08:04:32 PDT
Created attachment 337495 [details]
Patch
Comment 32 WebKit Commit Bot 2018-04-09 10:50:31 PDT
Comment on attachment 337495 [details]
Patch

Clearing flags on attachment: 337495

Committed r230445: <https://trac.webkit.org/changeset/230445>
Comment 33 WebKit Commit Bot 2018-04-09 10:50:33 PDT
All reviewed patches have been landed.  Closing bug.
Comment 34 Radar WebKit Bug Importer 2018-04-09 10:54:14 PDT
<rdar://problem/39285680>